/*
 * Copyright (C) 2010 Eiichiro Uchiumi. All Rights Reserved.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 *     
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.eiichiro.acidhouse;

/**
 * {@code EntityExistsException} is thrown by {@code DatastoreSession#put()} 
 * operation when the specified entity has already existed in Datastore.
 * 
 * @see DatastoreSession
 * @author <a href="mailto:eiichiro@eiichiro.org">Eiichiro Uchiumi</a>
 */
public class EntityExistsException extends RuntimeException {

	private static final long serialVersionUID = 7733043706152914409L;

	public EntityExistsException(Object id) {
		super("Entity corresponding to id [" + id + "] has already existed");
	}
	
}
